Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90	(revision 7698)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90	(revision 7753)
@@ -164,5 +164,4 @@
       !------------------------------------------------------------------------------!
       ! ocean/land mask
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
       DO jj = 1, jpjm1
          DO ji = 1, jpim1      ! NO vector opt.
@@ -173,12 +172,5 @@
 
       ! Lateral boundary conditions on velocity (modify zfmask)
-!$OMP PARALLEL
-!$OMP DO schedule(static) private(jj, ji)
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            zwf(ji,jj) = zfmask(ji,jj)
-         END DO
-      END DO
-!$OMP DO schedule(static) private(jj, ji)
+      zwf(:,:) = zfmask(:,:)
       DO jj = 2, jpjm1
          DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -188,5 +180,4 @@
          END DO
       END DO
-!$OMP DO schedule(static) private(jj)
       DO jj = 2, jpjm1
          IF( zfmask(1,jj) == 0._wp ) THEN
@@ -197,5 +188,4 @@
          ENDIF
       END DO
-!$OMP DO schedule(static) private(ji)
       DO ji = 2, jpim1
          IF( zfmask(ji,1) == 0._wp ) THEN
@@ -206,5 +196,4 @@
          ENDIF
       END DO
-!$OMP END PARALLEL
       CALL lbc_lnk( zfmask, 'F', 1._wp )
 
@@ -236,12 +225,7 @@
 
       ! Initialise stress tensor 
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            zs1 (ji,jj) = stress1_i (ji,jj) 
-            zs2 (ji,jj) = stress2_i (ji,jj)
-            zs12(ji,jj) = stress12_i(ji,jj)
-         END DO
-      END DO
+      zs1 (:,:) = stress1_i (:,:) 
+      zs2 (:,:) = stress2_i (:,:)
+      zs12(:,:) = stress12_i(:,:)
 
       ! Ice strength
@@ -249,5 +233,4 @@
 
       ! scale factors
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
       DO jj = 2, jpjm1
          DO ji = fs_2, fs_jpim1
@@ -272,21 +255,10 @@
          zintb = REAL( nn_fsbc + 1 ) / REAL( nn_fsbc ) * 0.5_wp
          !
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
-         DO jj = 1, jpj
-            DO ji = 1, jpi
-               zpice(ji,jj) = ssh_m(ji,jj) + (  zintn * snwice_mass(ji,jj) +  zintb * snwice_mass_b(ji,jj)  ) * r1_rau0
-            END DO
-         END DO
+         zpice(:,:) = ssh_m(:,:) + ( zintn * snwice_mass(:,:) + zintb * snwice_mass_b(:,:) ) * r1_rau0
          !
       ELSE                                    !== non-embedded sea ice: use ocean surface for slope calculation ==!
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
-         DO jj = 1, jpj
-            DO ji = 1, jpi
-               zpice(ji,jj) = ssh_m(ji,jj)
-            END DO
-         END DO
+         zpice(:,:) = ssh_m(:,:)
       ENDIF
 
-!$OMP PARALLEL DO schedule(static) private(jj,ji,zm1,zm2,zm3,zmassU,zmassV)
       DO jj = 2, jpjm1
          DO ji = fs_2, fs_jpim1
@@ -345,15 +317,11 @@
          !                                            !----------------------!        
          IF(ln_ctl) THEN   ! Convergence test
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
             DO jj = 1, jpjm1
-               DO ji = 1, jpi
-                  zu_ice(ji,jj) = u_ice(ji,jj) ! velocity at previous time step
-                  zv_ice(ji,jj) = v_ice(ji,jj)
-               END DO
+               zu_ice(:,jj) = u_ice(:,jj) ! velocity at previous time step
+               zv_ice(:,jj) = v_ice(:,jj)
             END DO
          ENDIF
 
          ! --- divergence, tension & shear (Appendix B of Hunke & Dukowicz, 2002) --- !
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
          DO jj = 1, jpjm1         ! loops start at 1 since there is no boundary condition (lbc_lnk) at i=1 and j=1 for F points
             DO ji = 1, jpim1
@@ -368,5 +336,4 @@
          CALL lbc_lnk( zds, 'F', 1. )
 
-!$OMP PARALLEL DO schedule(static) private(jj,ji,zds2,zdiv,zdiv2,zdt,zdt2,zdelta)
          DO jj = 2, jpjm1
             DO ji = 2, jpim1 ! no vector loop
@@ -403,5 +370,4 @@
          CALL lbc_lnk( zp_delt, 'T', 1. )
 
-!$OMP PARALLEL DO schedule(static) private(jj,ji,zp_delf)
          DO jj = 1, jpjm1
             DO ji = 1, jpim1
@@ -419,5 +385,4 @@
 
          ! --- Ice internal stresses (Appendix C of Hunke and Dukowicz, 2002) --- !
-!$OMP PARALLEL DO schedule(static) private(jj,ji)
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1               
@@ -455,5 +420,4 @@
          IF( MOD(jter,2) .EQ. 0 ) THEN ! even iterations
             
-!$OMP PARALLEL DO schedule(static) private(jj,ji,zTauO,zvel,zTauB,zCor,zTauE,rswitch)
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1
@@ -500,5 +464,4 @@
             IF( ln_bdy ) CALL bdy_ice_lim_dyn( 'V' )
 
-!$OMP PARALLEL DO schedule(static) private(jj,ji,zTauO,zvel,zTauB,zCor,zTauE,rswitch)
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1
@@ -546,5 +509,4 @@
          ELSE ! odd iterations
 
-!$OMP PARALLEL DO schedule(static) private(jj,ji,zTauO,zvel,zTauB,zCor,zTauE,rswitch)
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1
@@ -590,5 +552,4 @@
             IF( ln_bdy ) CALL bdy_ice_lim_dyn( 'U' )
 
-!$OMP PARALLEL DO schedule(static) private(jj,ji,zTauO,zvel,zTauB,zCor,zTauE,rswitch)
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1
@@ -637,9 +598,6 @@
          
          IF(ln_ctl) THEN   ! Convergence test
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
             DO jj = 2 , jpjm1
-               DO ji = 1, jpi
-                  zresr(ji,jj) = MAX( ABS( u_ice(ji,jj) - zu_ice(ji,jj) ), ABS( v_ice(ji,jj) - zv_ice(ji,jj) ) )
-               END DO
+               zresr(:,jj) = MAX( ABS( u_ice(:,jj) - zu_ice(:,jj) ), ABS( v_ice(:,jj) - zv_ice(:,jj) ) )
             END DO
             zresm = MAXVAL( zresr( 1:jpi, 2:jpjm1 ) )
@@ -654,5 +612,4 @@
       ! 4) Recompute delta, shear and div (inputs for mechanical redistribution) 
       !------------------------------------------------------------------------------!
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
       DO jj = 1, jpjm1
          DO ji = 1, jpim1
@@ -667,5 +624,4 @@
       CALL lbc_lnk( zds, 'F', 1. )
       
-!$OMP PARALLEL DO schedule(static) private(jj,ji,zdt,zdt2,zds2,zdelta,rswitch)
       DO jj = 2, jpjm1
          DO ji = 2, jpim1 ! no vector loop
@@ -700,12 +656,7 @@
       
       ! --- Store the stress tensor for the next time step --- !
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            stress1_i (ji,jj) = zs1 (ji,jj)
-            stress2_i (ji,jj) = zs2 (ji,jj)
-            stress12_i(ji,jj) = zs12(ji,jj)
-         END DO
-      END DO
+      stress1_i (:,:) = zs1 (:,:)
+      stress2_i (:,:) = zs2 (:,:)
+      stress12_i(:,:) = zs12(:,:)
       !
 
